function [sol, time]=coordinates(WP,N,T,Nd,Delta,pol_ott)
[r,c]=size(WP);
M=r-1;
sum_dim=0;
for m=1:M
     T_vec=(0:Delta:T(m));
     if m==M
         dim=length(T_vec);
     else
         dim=length(T_vec)-1;
     end
     sum_dim=sum_dim+dim;
end
sol=zeros(sum_dim,c);
time=zeros(sum_dim,1);

L=0;
sumT=0;
for m=1:M
     T_vec=(0:Delta:T(m));
     for k=1:c
         h=(m-1)*c*(N+1)+(k-1)*(N+1)+1;
         if m==M
             dim=length(T_vec);
         else
             dim=length(T_vec)-1;
         end
         for l=1:dim
             r=L+l;
             sol(r,k)=vcA(T_vec(l),Nd,N)*pol_ott(h:h+N,1);
             time(r,1)=T_vec(l)+sumT;
         end
     end
     L=L+dim;
     sumT=sumT+T(m);
end
