function [A, B]=corridors(N,WP,Wid,T)
[r,c] = size(WP);
M=r-1;
nc=floor(((N-1)*M-4)/M); % punti intermedi
%pos=[];
B=zeros(nc*M*c*2,1);
A=zeros(nc*M*c*2,M*c*(N+1));
for m=1:M
    b=zeros(3,1);
    if ismember(m,Wid(1,:))==1 
       ind=find_element(Wid(1,:),m);
       wid=Wid(2,ind);
       ti=(WP(m+1,:)-WP(m,:))/norm((WP(m+1,:)-WP(m,:)),2);
       b(1)=WP(m,1)*(1-ti(1)^2)-WP(m,2)*ti(2)*ti(1)-WP(m,3)*ti(3)*ti(1);
       b(2)=-WP(m,1)*ti(1)*ti(2)+WP(m,2)*(1-ti(2)^2)-WP(m,3)*ti(3)*ti(2);
       b(3)=WP(m,3)*(1-ti(3)^2)-WP(m,1)*ti(1)*ti(3)-WP(m,2)*ti(2)*ti(3);
       for n=1:nc
           tc=n/(1+nc)*(T(m));
           for k=1:c
               l=2*(m-1)*nc*c+2*(n-1)*c+2*k-1;
               B(l,1)=wid+b(k);
               B(l+1,1)=wid-b(k);
               %pos=[pos,l];
               lb=(m-1)*c*(N+1)+1;
               ub=lb+c*(N+1)-1;
               vec=vcA(tc,0,N);
               if k==1
                av=[vec*(1-ti(1)^2), -(ti(2)*ti(1))*vec,...
                    -ti(3)*ti(1)*vec];
               elseif k==2
                av=[-ti(1)*ti(2)*vec, (1-ti(2)^2)*vec,...
                    -ti(3)*ti(2)*vec];
               else
                av=[-ti(1)*ti(3)*vec, -ti(2)*ti(3)*vec,...
                    (1-ti(3)^2)*vec];
               end
               A(l,lb:ub)=av;
               A(l+1,lb:ub)=-av;
           end
       end
    end    
end
        