function [T_op, pol_ott, count, exitflag]=optimal_time(T_min,WP,v_max,a_max,N,Delta,vi,alfa,Wid)

[r,c]=size(WP);
M=r-1;% number of segments
T=T_min;
%L=0;
guard=ones(1,M);
N_it_max=10;
count=0;

[pol_ott, exitflag]=traj_gen(WP,T,N,vi,alfa,Wid);

% If the optimization problem is infeasible, pol_ott is equal to the
% initial conditions


if exitflag~=1 
    T_op=T_min;
    disp('Infeasible')
    return
else
    while ~isequal(guard,zeros(1,M))
        count=count+1;
        if count>N_it_max
            exitflag=0;
            disp(['Bounds not met within the maximum number of...,' ...
                'allowable iterations'])
            break
        else
        for m=1:M
             T_vec=(0:Delta:T(m));
             if m==M
                 dim=length(T_vec);
             else
                 dim=length(T_vec)-1;
             end
             v=zeros(dim,1);a=zeros(dim,1);
             for k=1:c
                 h=(m-1)*c*(N+1)+(k-1)*(N+1)+1;
                 for l=1:dim
                     v(l,1)=vcA(T_vec(l),1,N)*pol_ott(h:h+N,1);
                     a(l,1)=vcA(T_vec(l),2,N)*pol_ott(h:h+N,1);
                 end

                 if max(abs(a))>=a_max || max(abs(v))>=v_max
                     T(m)=T(m)+0.5;
                     guard(m)=1;
                     break
                 else
                     guard(m)=0;
                 end
             end
        end
        end
        [pol_ott, exitflag]=traj_gen(WP,T,N,vi,alfa,Wid);
        if exitflag~=1
            T_op=T;
            return
        end
    end
end
T_op=T;
end