function yaw=yaw_ref(WP,N,Delta,T,pol_ott)
[r,c]=size(WP);
M=r-1;
% Initialization
sum_dim=0;
for m=1:M
     T_vec=(0:Delta:T(m));
     if m==M
         dim=length(T_vec);
     else
         dim=length(T_vec)-1;
     end
     sum_dim=sum_dim+dim;
end

yaw_raw=zeros(sum_dim,1);
yaw=zeros(sum_dim,1);

LT=0;
for m=1:M
    T_vec=(0:Delta:T(m));
    if m==M
        dim=length(T_vec);
    else
        dim=length(T_vec)-1;
    end
    h1=(m-1)*c*(N+1)+1;
    h2=(m-1)*c*(N+1)+N+2;
    for l=1:dim
        row=LT+l;
        x0=vcA(T_vec(l),0,N)*pol_ott(h1:h1+N,1);
        x1=vcA(T_vec(l)+Delta,0,N)*pol_ott(h1:h1+N,1);
        y0=vcA(T_vec(l),0,N)*pol_ott(h2:h2+N,1);
        y1=vcA(T_vec(l)+Delta,0,N)*pol_ott(h2:h2+N,1);
        yaw_raw(row,1)=atan2((y1-y0),(x1-x0));
    end
    LT=LT+dim;
end
yaw=unwrap(yaw_raw);% radians
end