function [A_sol,B_sol]=der_wp(N,WP,T,vi,alfa) %#codegen
[r,c]=size(WP);
M=r-1;

A_i=zeros(c*M,(N+1)*c*M);
A_f=zeros(c*M,(N+1)*c*M);
A_vi=zeros(c*M,(N+1)*c*M);
A_vf=zeros(c*M,(N+1)*c*M);
A_ai=zeros(c*M,(N+1)*c*M);
A_af=zeros(c*M,(N+1)*c*M);
B_i=zeros(c*M,1);
B_f=zeros(c*M,1);
B_vi=zeros(c*M,1);
B_vf=zeros(c*M,1);
B_ai=zeros(c*M,1);
B_af=zeros(c*M,1);

vf=final_v(WP,alfa);
for m=1:M
    for k=1:c
        h=(m-1)*c+k;
        %termini noti posizioni
        B_f(h,1)=WP(m+1,k);
        B_i(h,1)=WP(m,k);
        %matrici di vincolo
        lb=(N+1)*(k-1)+(m-1)*c*(N+1)+1;
        ub=(N+1)*k+(m-1)*c*(N+1);
        A_f(h,lb:ub)=vcA(T(m),0,N);
        A_i(h,lb:ub)=vcA(0,0,N);
        if m==1
        A_vi(h,lb:ub)=vcA(0,1,N);
        A_ai(h,lb:ub)=vcA(0,2,N);
        B_vi(h,1)=vi(1,k);
        elseif m==M
        A_vf(h,lb:ub)=vcA(T(m),1,N);
        A_af(h,lb:ub)=vcA(T(m),2,N);
        B_vf(h,1)=vf(1,k);
        end
    end
end
A_sol=[A_i;A_f;A_vi;A_vf;A_ai;A_af];
B_sol=[B_i;B_f;B_vi;B_vf;B_ai;B_af];
end