function T=min_time_seg(WP,v_max)
%INPUTs:
%
%WP: waypoints
%v_max: maximum allowable velocity
%
%OUTPUTs:
%T:vector of the flight time on each segment composing the trajectory

r=size(WP,1);% number of waypoints
M=r-1;% number of segments
T=zeros(1,M);
for k=2:r
    if size(WP,2)==3
        seg=sqrt((WP(k,1)-WP(k-1,1))^2+(WP(k,2)-WP(k-1,2))^2+(WP(k,3)-WP(k-1,3))^2);
    else
        seg=sqrt((WP(k,1)-WP(k-1,1))^2+(WP(k,2)-WP(k-1,2))^2);
    end
    T(k-1)=seg/v_max;
end