function A=vcA(T,Nd,N)
%%
% vcA generates vector A and takes as inputs:
% - T the time instant of interest
% - Nd is the order of derivative ( Nd=0 is the position)
% - N is the order of the polynomial
%%
A=zeros(1,N+1);
t=T;
for k=1:N+1
    if k-1<Nd
       A(k)=0;
    else
       prod=1;
        for m=0:Nd-1   
        prod=prod*(k-1-m);
        end
        A(k)=prod*t^(k-1-Nd);
    end
end
